#
# spec file for package libz (Version 1.1.3)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libz
Copyright:    Rob Hooft, Michael Mauldin, (see netpbm)
Group:        System Environment/Libraries
Provides:     libgz.so.1 zlib
Autoreqprov:  on
Version:      1.1.3
Release:      597
Summary:      Data Compression Library
Buildroot:    %{_tmppath}/libz-root
Source: zlib-1.1.3.tar.gz
Patch:  zlib-1.1.3-zfree.dif

%description
ftp://ds.internic.net/rfc/rfc1950.txt (zlib format), rfc1951.txt (deflate
format) and rfc1952.txt (gzip format). These documents are also available in
other formats from ftp://ftp.uu.net/graphics/png/documents/zlib/zdoc-index.html

Authors:
--------
    Rob Hooft <hooft@EMBL-Heidelberg.DE>
    Michael Mauldin <mlm@cs.cmu.edu>

SuSE series: a

%prep
%setup -n zlib-1.1.3
%patch -p1
./configure --shared

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/%{_lib}
make install prefix=$RPM_BUILD_ROOT/usr
%ifarch sparc64
mv $RPM_BUILD_ROOT/usr/lib/libz.so* $RPM_BUILD_ROOT/usr/%{_lib}
%endif
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
install zlib.3 $RPM_BUILD_ROOT/%{_mandir}/man3
make libz.a
mkdir -p $RPM_BUILD_ROOT/%{_lib}
mkdir -p $RPM_BUILD_ROOT/usr/%{_lib}
install libz.a $RPM_BUILD_ROOT/usr/%{_lib}
ln -sf libz.a $RPM_BUILD_ROOT/usr/%{_lib}/libgz.a
mv $RPM_BUILD_ROOT/usr/%{_lib}/libz.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/libz.so.1 $RPM_BUILD_ROOT/usr/%{_lib}/libgz.so.1
ln -sf /%{_lib}/libz.so.1 $RPM_BUILD_ROOT/usr/%{_lib}/libz.so
mkdir -p $RPM_BUILD_ROOT/usr/include
install zutil.h $RPM_BUILD_ROOT/usr/include
ldconfig

%files
%doc README ChangeLog algorithm.txt
%doc %{_mandir}/man3/zlib.3.gz
/usr/%{_lib}/libgz.a
/usr/%{_lib}/libgz.so.1
/usr/include/zlib.h
/usr/include/zconf.h
/usr/include/zutil.h
/%{_lib}/libz.so.1.1.3
/%{_lib}/libz.so.1
/usr/%{_lib}/libz.so
/usr/%{_lib}/libz.a

%changelog -n libz
* Thu Feb 07 2002 - adrian@suse.de
- prevent double free() (security problem) with
  zlib-1.1.3-zfree.dif
* Tue May 01 2001 - kukuk@suse.de
- Minor spec file fixes for sparc64
* Thu Dec 07 2000 - kukuk@suse.de
- Install only shared library in /%%{_lib}
* Wed Dec 06 2000 - ro@suse.de
- install main lib in /%%{_lib} not /usr/%%{_lib}
* Mon Oct 02 2000 - kukuk@suse.de
- Use %%{_lib} macro
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Wed Apr 05 2000 - bk@suse.de
- fixed BuildRoot support
* Mon Apr 03 2000 - bk@suse.de
- added buildroot for build with dynamically linked rpm which uses libz(s390)
* Thu Jan 20 2000 - aj@suse.de
- /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - ro@suse.de
- added zutil.h
* Thu Mar 04 1999 - ro@suse.de
- moved from /usr/X11R6 to usr
- libgz is now only a link to libz
- "libgz.so.1" is provided from specfile
* Tue Aug 25 1998 - ro@suse.de
- update to 1.1.3
* Fri Mar 20 1998 - ro@suse.de
- update to 1.1.2
* Mon Mar 02 1998 - ro@suse.de
- update to 1.1.1
* Fri Feb 27 1998 - ro@suse.de
- update to version 1.0.9
  created own specfile for easier maintenance
  included man-pages
